14e4:16bc [Acer Aspire One AO756] Built-in SD card reader intermittently operative

Bug #1067222 reported by Ian Johnston on 2012-10-16
78
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After two non-consecutive suspend/resume cycles on a new Acer Aspire One AO756, the built-in SD card reader refuses to recognize any card, giving the following errors in dmesg:

[25887.536273] mmc0: Timeout waiting for hardware interrupt.
[25897.551037] mmc0: Timeout waiting for hardware interrupt.
[25907.565804] mmc0: Timeout waiting for hardware interrupt.
[25912.659727] mmc0: Card removed during transfer!
[25912.659737] mmc0: Resetting controller.
[25934.954354] mmc0: Timeout waiting for hardware interrupt.
[25944.969143] mmc0: Timeout waiting for hardware interrupt.
[25954.983873] mmc0: Timeout waiting for hardware interrupt.
[25961.920074] mmc0: Card removed during transfer!
[25961.920085] mmc0: Resetting controller.

(This represents insertion and removal of two different cards.)

After a suspend/resume cycle between the two aforementioned tests, I was able to get one card, a Transcend MicroSDHC 32 GB Class 4 card to not only be recognized, but automatically mount as expected, and finally was able to transfer the entire contents of the card (just over 30 GB) to the local HD. Other cards I had available produced errors. The dmesg from the working, followed by a nonworking card:

[17033.338324] mmc0: new high speed SDHC card at address e624
[17033.338655] mmcblk0: mmc0:e624 SU32G 29.7 GiB
[17033.350297] mmcblk0: p1
[19371.234706] mmc0: card e624 removed
[19571.454428] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[19584.391746] mmc0: error -110 whilst initialising SD card
[19598.266014] mmc0: error -110 whilst initialising SD card
[19600.144345] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[19609.164688] mmc0: error -110 whilst initialising SD card
[19634.785422] mmc0: error -110 whilst initialising SD card

In the later test, where nothing was recognized, that test included the MicroSDHC card that worked previously.

Ubuntu kernel version bisect revealed:
Good: linux-image-2.6.39-3-generic-pae_2.6.39-3.10_i386.deb
Bad: 3.0-0.1 onward, the bug appears.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-31-generic-pae 3.2.0-31.50
ProcVersionSignature: Ubuntu 3.2.0-31.50-generic-pae 3.2.28
Uname: Linux 3.2.0-31-generic-pae i686
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu13
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC271X Analog [ALC271X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: reaper 1675 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xc0600000 irq 43'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:10ec0269,10250742,00100100 HDA:80862806,80860101,00100000'
   Controls : 22
   Simple ctrls : 10
Date: Mon Oct 15 12:35:00 2012
HibernationDevice: RESUME=UUID=3ea96d5f-2b9f-4393-a404-ff919752cccc
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release i386 (20120817.3)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 003: ID 04f2:b335 Chicony Electronics Co., Ltd
MachineType: Acer AO756
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-31-generic-pae root=UUID=c9af482b-1c0b-4a6d-ad40-ef86fdce18bb ro acpi_backlight=vendor quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-31-generic-pae N/A
 linux-backports-modules-3.2.0-31-generic-pae N/A
 linux-firmware 1.79.1
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/26/2012
dmi.bios.vendor: Acer
dmi.bios.version: V1.02
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Mimic
dmi.board.vendor: Acer
dmi.board.version: Type2 - Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.02
dmi.modalias: dmi:bvnAcer:bvrV1.02:bd04/26/2012:svnAcer:pnAO756:pvrV1.02:rvnAcer:rnMimic:rvrType2-BoardVersion:cvnAcer:ct10:cvrV1.02:
dmi.product.name: AO756
dmi.product.version: V1.02
dmi.sys.vendor: Acer

Ian Johnston (ij89) wrote :
Ian Johnston (ij89) wrote :

For testing purposes, I'm familiar with Linux, although the last time I built a kernel was in the 2.4 days, and I'm not well versed in how Ubuntu does things (I'm an old Slackware hand). I'm quite willing to do low-level testing, and if I can get pointers on where to look, I'll work with patches or kernel code mods.

Brad Figg (brad-figg) on 2012-10-16
Changed in linux (Ubuntu):
status: New → Confirmed
Ian Johnston (ij89) wrote :

I was led astray by reports from others of suspend/resume being a factor.

The key difference between the card reader working and not working: wired ethernet connected. With no ethernet connected, the card reader fails with the "timeout waiting for interrupt" message. With an ethernet cable connected, I am able to read all tested cards (all of which are Class 6, Class 4, or unmarked) except for a SanDisk SDHC I Class 10 UHS-I 16 GB card, which fails with the 1.8v signalling message:

[ 528.756952] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[ 650.352628] eth1: no IPv6 routers present
[ 676.708436] mmc0: Card removed during transfer!
[ 676.708446] mmc0: Resetting controller.
[ 676.719317] mmc0: error -123 whilst initialising SD card

This correlates with other reports I found of adding or removing the tg3 module having an effect on SD card reader functionality. The ethernet cable was a crossover connected to another computer for this test, which is presumably enough to light up the ethernet section of the Broadcom device and load a module if necessary.

Inserting a previously-working card (with ethernet disconnected) then running "rmmod tg3; modprobe tg3" as root results in the card being read and automounted. It doesn't seem to allow the UHS-I card to be read. dmesg from reloading the tg3 module:

[ 1368.415984] tg3 0000:04:00.0: PCI INT A disabled
[ 1368.423945] tg3.c:v3.121 (November 2, 2011)
[ 1368.439966] tg3 0000:04:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 1368.439986] tg3 0000:04:00.0: setting latency timer to 64
[ 1368.489046] tg3 0000:04:00.0: eth0: Tigon3 [partno(BCM57785) rev 57785100] (PCI Express) MAC address b8:88:e3:49:74:2f
[ 1368.489053] tg3 0000:04:00.0: eth0: attached PHY is 57765 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[1])
[ 1368.489057] tg3 0000:04:00.0: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
[ 1368.489061] tg3 0000:04:00.0: eth0: dma_rwctrl[00000001] dma_mask[64-bit]
[ 1368.516888] udevd[2423]: renamed network interface eth0 to eth1
[ 1368.532798] tg3 0000:04:00.0: irq 43 for MSI/MSI-X
[ 1368.532810] tg3 0000:04:00.0: irq 44 for MSI/MSI-X
[ 1368.532820] tg3 0000:04:00.0: irq 45 for MSI/MSI-X
[ 1369.107251] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 1369.108024] ADDRCONF(NETDEV_UP): eth1: link is not ready

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.2-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ian Johnston (ij89) wrote :

Thanks for the clear instructions, Joseph. The bug exists in the 3.6.2 kernel, and I've updated the tags and status as requested.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ian Johnston (ij89) on 2012-10-16
description: updated

Ian Johnston, did this problem not occur in a release prior to Precise?

summary: - Built-in SD card reader on Acer Aspire One AS756 intermittently
- operative
+ 14e4:16bc Built-in SD card reader on Acer Aspire One AS756
+ intermittently operative
tags: added: kernel-bug-exists-upstream-v3.6.2-quantal
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ian Johnston (ij89) wrote :

It may have, I don't know. The machine is brand new to me, and I haven't tried loading other releases on it, just Precise.

Ian Johnston, for regression testing purposes, could you please a Lucid live environment via http://releases.ubuntu.com/lucid/ ?

Ian Johnston (ij89) wrote :

Under a 10.04.4 LTS live boot system, the card reader works correctly, immediately mounting the most problematic card (the 16 GB UHS-I card which absolutely refuses to mount under Precise). Note that there are *no* Broadcom drivers loaded in the Lucid env, and lspci says this is a Broadcom SD card reader. I am unable to download Broadcom drivers to test whether installing them might disable the SD card reader.

tags: added: regression-release

Ian Johnston, thank you for testing Lucid.

The next step is to perform a Ubuntu kernel bisect from Lucid to Precise, in order to identify the last good Ubuntu kernel version, and first bad one. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Thank you for your understanding.

Helpful Bug Reporting Tips:
https://help.ubuntu.com/community/ReportingBugs

I'm use Acer TM B113-E with Broadcom Corporation NetXtreme BCM57765 Memory Card Reader [14e4:16bc] (rev 10). I'm did install Kubuntu 12.10 x64.
SD-card did not connect to system and only after
modprobe -r tg3
modprobe tg3
it can connect to system. Module tg3 is a part of chipset Broadcom Corporation NetXtreme BCM57765.
In logs I can see messages like topicstarter's messages...
But after suspend it always crash system...
I'm test 3.7.rc7 kernel from kernel.org. Problem is present too...

Sorry for my poor English.

Mishchenko Oleksandr, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: bios-outdated
Eddy2004 (eddy2004) wrote :

I have the same problem on an Acer Aspire V5-171, same broadcomm hardware BCM57765, same log messages, kubuntu 12.10, kernel 3.5.0-21.

I might open another bug if necessary, but I can't add much more.
Also, this link gives some more logs with CONFIG_MMC_DEBUG=y and mentions some hardware specificity (private mmio-block) as the root of the problem: http://www.spinics.net/lists/linux-mmc/msg08483.html

Eddy2004, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-firmware-check
Ian Johnston (ij89) wrote :

I've done a first pass at kernel regression testing. The last kernel version which successfully mounts the SD card comes from this series of files:

linux-headers-2.6.39-3_2.6.39-3.10_all.deb
linux-headers-2.6.39-3-generic-pae_2.6.39-3.10_i386.deb
linux-image-2.6.39-3-generic-pae_2.6.39-3.10_i386.deb

From 3.0-0.1 onward, the bug appears.

Ian Johnston (ij89) wrote :

I should say, the bug appears in 3.0-0.1. I didn't test any further between my current 3.2.0-35 and 3.0-0.1.

Andrey Raugas (raugas) wrote :

I think this bug might be related to that bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/920069

description: updated
tags: added: performing-bisect

Ian Johnston, thank you for kernel version bisecting. Before we go on to Ubuntu kernel commit bisecting, as per http://us.acer.com/ac/en/US/content/drivers an update is available for your BIOS (1.09). If you update to this, does it change anything?

If not, could you please test the newest mainline kernel available http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc4-raring/ ?

If this does not fix it, could you please commit bisect the Ubuntu kernel version?

Andrey Raugas, this bug is not related to 920069 because that bug is marked Invalid.

Ian Johnston (ij89) wrote :

Updating to BIOS v1.09 did change the behavior of the bug, but didn't solve it. Initial SD card insertion produces this result in dmesg now:

[ 63.031558] sdb: detected capacity change from 16008609792 to 0
[ 65.038484] usb 2-1.3: USB disconnect, device number 3
[ 128.516612] mmc0: Timeout waiting for hardware interrupt.

...followed by repeating Timeout messages. The second insertion after a reboot simply results in more Timeout messages. It's encouraging to see the detected capacity (this is a 16 GB SD card I'm testing with).

I'll test with the new kernel next.

tags: removed: bios-outdated
tags: removed: needs-firmware-check
tags: added: needs-bisect needs-upstream-testing
removed: kernel-bug-exists-upstream
Ian Johnston (ij89) wrote :

Booting into the latest kernel (as loaded from linux-image-3.8.0-030800rc4-generic_3.8.0-030800rc4.201301172335_i386.deb and the companion files) does not remove the bug. It did apparently break wireless networking support, but this is most likely a fluke and unlikely to be related. I saw the same Timeout messages as in previous kernels.

If you could provide me with a pointer on how commit bisecting should work given the presumably major change between the 2.x and 3.x kernels, I would appreciate it.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.8-rc4
removed: kernel-bug-exists-upstream-v3.6.2-quantal needs-upstream-testing
tags: added: oneiric

Ian Johnston, following https://wiki.ubuntu.com/Kernel/KernelBisection , based on your comments in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1067222/comments/20 it sounds like you found yourself bisecting non-linear Ubuntu kernel tags. Hence, as per the bisection article you would want to change to bisecting the mainline kernel. Using http://kernel.ubuntu.com/~kernel-ppa/info/kernel-version-map.html we know that Ubuntu 2.6.39-3.10 is based on mainline 2.6.39, and Ubuntu 3.0.0-10.16 is based on mainline 3.0.4. Hence, you would want to bisect mainline kernel versions first until you have the last good version followed consecutively in version by the first bad one. Consulting the version page we have:
3.0.4
3.0.3
3.0.1
3.0.0
3.0.0-rc7
3.0.0-rc6
2.6.39

Hence, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0-oneiric/ and report the results?

whith this kernel(http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0-oneiric/) cardreader not working too on Kubuntu 12.10...
dmesg says:
[ 35.460581] ehci_hcd 0000:00:1a.0: BAR 0: set to [mem 0xc0609000-0xc06093ff] (PCI address [0xc0609000-0xc06093ff])
[ 35.460612] ehci_hcd 0000:00:1a.0: restoring config space at offset 0xf (was 0x100, writing 0x107)
[ 35.460645] ehci_hcd 0000:00:1a.0: restoring config space at offset 0x1 (was 0x2900000, writing 0x2900002)
[ 35.460747] ehci_hcd 0000:00:1a.0: PME# disabled
[ 35.460762] ehci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 35.460772] ehci_hcd 0000:00:1a.0: setting latency timer to 64
[ 42.215782] ehci_hcd 0000:00:1a.0: PCI INT A disabled
[ 42.215844] ehci_hcd 0000:00:1a.0: PME# enabled
[ 72.736678] mmc0: Timeout waiting for hardware interrupt.
[ 72.736689] sdhci: =========== REGISTER DUMP (mmc0)===========
[ 72.736738] sdhci: Sys addr: 0x00000000 | Version: 0x00001502
[ 72.736747] sdhci: Blk size: 0x00000000 | Blk cnt: 0x00000000
[ 72.736756] sdhci: Argument: 0x00000c00 | Trn mode: 0x00000000
[ 72.736765] sdhci: Present: 0x1eff0001 | Host ctl: 0x00000005
[ 72.736773] sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[ 72.736782] sdhci: Wake-up: 0x00000000 | Clock: 0x0000fa07
[ 72.736791] sdhci: Timeout: 0x00000000 | Int stat: 0x00000000
[ 72.736800] sdhci: Int enab: 0x00ff00c3 | Sig enab: 0x00ff00c3
[ 72.736808] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
[ 72.736817] sdhci: Caps: 0x176ec8b0 | Caps_1: 0x03002177
[ 72.736826] sdhci: Cmd: 0x0000341a | Max curr: 0x00000000
[ 72.736832] sdhci: Host ctl2: 0x00000000
[ 72.736840] sdhci: ADMA Err: 0x00000000 | ADMA Ptr: 0x00000000
[ 72.736844] sdhci: ===========================================
[ 82.750653] mmc0: Timeout waiting for hardware interrupt.
[ 82.750664] sdhci: =========== REGISTER DUMP (mmc0)===========
[ 82.750712] sdhci: Sys addr: 0x00000000 | Version: 0x00001502
[ 82.750721] sdhci: Blk size: 0x00000000 | Blk cnt: 0x00000000
[ 82.750730] sdhci: Argument: 0x80000c08 | Trn mode: 0x00000000
[ 82.750738] sdhci: Present: 0x1eff0001 | Host ctl: 0x00000005
[ 82.750747] sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[ 82.750756] sdhci: Wake-up: 0x00000000 | Clock: 0x0000fa07
[ 82.750764] sdhci: Timeout: 0x00000000 | Int stat: 0x00000000
[ 82.750773] sdhci: Int enab: 0x00ff00c3 | Sig enab: 0x00ff00c3
[ 82.750781] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
[ 82.750790] sdhci: Caps: 0x176ec8b0 | Caps_1: 0x03002177
[ 82.750799] sdhci: Cmd: 0x0000341a | Max curr: 0x00000000
[ 82.750805] sdhci: Host ctl2: 0x00000000
[ 82.750813] sdhci: ADMA Err: 0x00000000 | ADMA Ptr: 0x00000000
[ 82.750817] sdhci: ===========================================
...
[ xx.xxxxxxx] mmc0: Timeout waiting for hardware interrupt.
...

Mishchenko Oleksandr, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ian Johnston (ij89) wrote :

Testing with 3.0.0-300 from the 3.0-oneiric directory resulted in the same error:

[ 170.053876] mmc0: Got command interrupt 0x00000001 even though no command operation was in progress.
[ 170.053886] sdhci: =========== REGISTER DUMP (mmc0)===========
[ 170.053896] sdhci: Sys addr: 0x00000000 | Version: 0x00001502
[ 170.053905] sdhci: Blk size: 0x00000000 | Blk cnt: 0x00000000
[ 170.053913] sdhci: Argument: 0x00000000 | Trn mode: 0x00000000
[ 170.053922] sdhci: Present: 0x1fff0000 | Host ctl: 0x00000004
[ 170.053931] sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[ 170.053940] sdhci: Wake-up: 0x00000000 | Clock: 0x0000e8c7
[ 170.053948] sdhci: Timeout: 0x00000000 | Int stat: 0x00000000
[ 170.053957] sdhci: Int enab: 0x00ff00c3 | Sig enab: 0x00ff00c3
[ 170.053966] sdhci: AC12 err: 0x00000000 | Slot int: 0x00000000
[ 170.053975] sdhci: Caps: 0x176ec8b0 | Caps_1: 0x03002177
[ 170.053983] sdhci: Cmd: 0x00000000 | Max curr: 0x00000000
[ 170.053990] sdhci: Host ctl2: 0x00000000
[ 170.053997] sdhci: ADMA Err: 0x00000000 | ADMA Ptr: 0x00000000
[ 170.054001] sdhci: ===========================================
[ 170.252631] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[ 171.860545] mmc0: error -110 whilst initialising SD card

I will continue bisecting to see if any of the 3.0.0 kernels work.

Ian Johnston (ij89) wrote :

The earliest 3.0.0 mainline kernel I see (rc2) also has the error. I'll read up on commit bisecting.

Ian Johnston (ij89) wrote :

The documentation on commit bisecting is insufficient to allow me to continue. Specifically, I don't know how to figure out which git repository to clone to get the 2.6 -> 3.0 kernel changes. I think, once I have that information, I can figure out how to continue with the commit bisection, but I'm blocked for now.

StefanF (stefan) wrote :

I have the same problem with Ubuntu 12.04, Kernel 3.2.0-39-generic-pae on an Acer Aspire One 756.

Steps to reproduce:

1) Insert an SD card
2) dmesg says repeatedly: mmc0: Timeout waiting for hardware interrupt
3) rmmod tg3 -> nothing happens with the SD card
4) modprobe tg3 -> Gnome provides to open the media in file manager, which works fine now.
5) rmmod tg3 ->Cardreader is still functional

The type of SD card does not matter and it does not matter if an ethernet cable is plugged.

dmesg output:

insert card:
[ 409.712345] mmc0: Timeout waiting for hardware interrupt.
[ 419.722227] mmc0: Timeout waiting for hardware interrupt.
[ 429.732104] mmc0: Timeout waiting for hardware interrupt.
[ 439.742025] mmc0: Timeout waiting for hardware interrupt.
[ 443.841471] mmc0: Card removed during transfer!
[ 443.841477] mmc0: Resetting controller.

rmmod tg3:
[ 447.384229] tg3 0000:04:00.0: PME# enabled
[ 447.384258] tg3 0000:04:00.0: wake-up capability enabled by ACPI
[ 447.417401] tg3 0000:04:00.0: PCI INT A disabled

modprobe tg3:
[ 475.816235] tg3.c:v3.121 (November 2, 2011)
[ 475.819526] mmc0: new high speed SDHC card at address 0007
[ 475.832068] tg3 0000:04:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 475.832129] tg3 0000:04:00.0: setting latency timer to 64
[ 475.839493] mmcblk0: mmc0:0007 SD08G 7.48 GiB
[ 475.841628] mmcblk0: p1
[ 475.880672] tg3 0000:04:00.0: eth0: Tigon3 [partno(BCM57785) rev 57785100] (PCI Express) MAC address b8:88:e3:42:5d:df
[ 475.880680] tg3 0000:04:00.0: eth0: attached PHY is 57765 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[1])
[ 475.880685] tg3 0000:04:00.0: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
[ 475.880690] tg3 0000:04:00.0: eth0: dma_rwctrl[00000001] dma_mask[64-bit]
[ 475.908963] udevd[2073]: renamed network interface eth0 to eth1
[ 475.916412] tg3 0000:04:00.0: irq 44 for MSI/MSI-X
[ 475.916426] tg3 0000:04:00.0: irq 45 for MSI/MSI-X
[ 475.916437] tg3 0000:04:00.0: irq 46 for MSI/MSI-X
[ 476.486620] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 476.487582] ADDRCONF(NETDEV_UP): eth1: link is not ready

Vasiliy Tolstov (vase) wrote :

I have this problem with acer aspire v5-171. How can i solve this problem?

StefanF (stefan) wrote :

Changed the status to confirmed beacuse I do not wnat that this bug expires in a few days. Several people reported the problem and are ready to provide more details if needed. So if somebody thinks that the bug report is icomplete, them please let us know what informations are missing.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
StefanF (stefan) wrote :

Yesterday I found out that Ubuntu 13.04 (executed from DVD) is also affected.

Ian Johnston, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.9-rc8

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

StefanF / Vasiliy Tolstov, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
tags: added: latest-bios-1.09
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
StefanF (stefan) wrote :

New bug report number is #1178131

tags: added: potential-workaround
Vasiliy Tolstov (vase) wrote :

Workaroung with remote tg3 module and insert in again not works for me (acer aspire v5-171 with this card reader)

Vasiliy Tolstov, as already posted to you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1067222/comments/31 , if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ian Johnston (ij89) on 2013-05-11
tags: added: kernel-bug-exists-upstream-v3.9.1
removed: kernel-bug-exists-upstream-v3.8-rc4 needs-upstream-testing
Ian Johnston (ij89) wrote :

I tested with the kernel found in linux-image-3.9.1-030901-generic_3.9.1-030901.201305080210_i386.deb, and the bug still exists. I've updated the tags and changed the status to confirmed.

We have identified the introduction of the bug, and I have now repeatedly tested upstream with no change. I reported this bug nearly 7 months ago (although I'll grant that some of that time was spent waiting for me to perform tests). When should I expect action to be taken, other than having me test alternate kernels?

If you can point me to appropriate resources, I would be happy to start performing commit bisect testing to narrow down the code change which produced the problem at the 3.0 changeover, but as I've said before, I lack sufficient knowledge of Ubuntu's structure to succeed at that task right now.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Ian Johnston, thank you for testing the newest mainline kernel. Before we would begin the bisection, could you please comment if the following terminal command provides a WORKAROUND:
rmmod tg3 && modprobe tg3

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ian Johnston (ij89) wrote :

Removing and reloading the tg3 module has no effect on the bug using the current 3.2.0-40-generic-pae kernel.

Ian Johnston, thank you for performing the requested action. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc1-precise/ and report the results?

tags: removed: potential-workaround
tags: added: needs-upstream-testing
Ian Johnston (ij89) wrote :

The bug still exists in 3.10-rc1. Unless there is some evidence that current kernel development is aware of and attempting to fix this problem, I would prefer not to re-test the upstream kernel repeatedly.

tags: added: kernel-bug-exists-upstream-v3.10-rc1
removed: kernel-bug-exists-upstream-v3.9.1
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
StefanF (stefan) wrote :

Please try to disable LSPM on the PCI bus channel that is shared by the ethernet interface and the card reader:

sudo setpci -s 00:1c.2 0x50.B=0x40

Ian Johnston (ij89) wrote :

That does appear to change the behavior, but it doesn't solve the problem. Before running that command, I would get a message like this every 15 seconds or so:

[10576.945814] mmc0: error -110 whilst initialising SD card

After running that command, the errors come much more quickly:

[10571.932040] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[10573.534266] mmc0: error -110 whilst initialising SD card
[10573.643790] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[10575.246098] mmc0: error -110 whilst initialising SD card
[10575.344857] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[10576.945814] mmc0: error -110 whilst initialising SD card
[10577.053928] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
[10578.657675] mmc0: error -110 whilst initialising SD card

Ian Johnson, thank you for testing mainline kernel 3.10-rc1. Regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1067222/comments/39 :
>"Unless there is some evidence that current kernel development is aware of and attempting to fix this problem, I would prefer not to re-test the upstream kernel repeatedly."

While your preference is noted, you are not testing the upstream kernel repeatedly. Instead, you are testing the newest version as it becomes available once. This is how upstream mainly ignores those who have not tested for the problem in the latest mainline kernel version available, and commit bisected a regression.

Hence, could you please perform a commit bisect following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sven Tillinger (tillinger) wrote :

I have the same problem with my sd-card-reader on an Acer Aspire V5-171-53314G50ass with Ubuntu 13.04.

The Workaround from StefanF (comment #40) works for me.

The Workaround from Mishchenko Oleksandr (comment #11) also works for me.

Sven Tillinger, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Mario Frasca (mfrasca) wrote :

I'm using ubuntu 13.04, with kernel 3.8.0-25-generic, on a acer aspire v5 171.
workaround #36 worked for me

Mario Frasca (mfrasca) wrote :

addition to previous comment: I spoke too quickly. the card is recognized and mounted, I wrote to it but the changes were not saved. I will make more tests with cards I can damage.

Using Ubuntu 13.04, Kernel 3.8.0.27-generic on Acer Aspire One 756.

sudo setpci -s 00:1c.2 0x50.B=0x40 works and SD Card is recognized.

However, writing files to the SD Card freezes after a few seconds and data is corrupt.

Mario Frasca / Martin Endres, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

summary: - 14e4:16bc Built-in SD card reader on Acer Aspire One AS756
- intermittently operative
+ 14e4:16bc [Acer Aspire One AO756] Built-in SD card reader intermittently
+ operative
Shaunak Raha (shaunakraha) wrote :

I'm using Kernel Version 3.8.0-31-generic with Ubuntu 13.04 on an Acer Aspire V5 131-10172G with Broadcom NetXtreme BCM57765 Memory Card Reader (rev10).

Am facing the same problems highlighted above with the Aspire One and the V5 171.

None of the above workarounds worked for me and am unable to mount any SD Card.

Shaunak Raha, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Georg Lipps (georg-lipps) wrote :

I have an Acer V5-171 running Ubuntu 13.10 , kernel 3.11.0-14-generic
Solution #40 (setpci) works for me reading the card. Writing to card produces errors.

What is the best place to run the command on startup?

Greetings,

Georg

Georg Lipps (georg-lipps) wrote :

Sorry correction, its an Acer V5-131 ;)

Georg Lipps, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Akeksey (hark781) wrote :

Ubuntu 17.04 to how to make Acer Aspire One AO756, built-in SD card reader. Not similar?
P.S. Sorry translate English.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers